unit Main;

{ Program copyright (c) 1995 by Charles Calvert }
{ Project Name: MoneyInt }

{ When working with dollar and cents, it is easy to
  create rounding errors. As a result, your program
  can easily make invalid financial calculations.
  This program demonstrates using the COMP type to
  accurately calculate finincial figures. Make sure
  the MATHBOX unit is on your Library Path in the
  Options | Environment | Library menu choice. }

{$N+}

interface

uses
  WinTypes, WinProcs, Classes,
  Graphics, Controls, Forms,
  StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    BCalc: TButton;
    BClose: TButton;
    Panel1: TPanel;
    Label1: TLabel;
    procedure BCalcClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure BCloseClick(Sender: TObject);
  end;

var
  Form1: TForm1;

implementation

uses
  MathBox;

{$R *.DFM}

procedure TForm1.BCalcClick(Sender: TObject);
var
  C: Comp;
begin
  C := Str2Pennies(Edit1.Text);
  C := C + 120;
  Label1.Caption := Pennies2Dollars(C);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Edit1.Text := '';
  Label1.Caption := '';
end;

procedure TForm1.BCloseClick(Sender: TObject);
begin
  Close;
end;

end.
